interface propsRule {
	[key: string]: any
}
import './index.less'
export const SqureWrap = (props: propsRule, { slots }: any) => {
	const { customStyle={} } =  props
	const defaultStyle = {
		'display': "flex",
		'flex-direction': 'column',
		'width': '100%'
	}
	const style = {
		...defaultStyle,
		...customStyle
	}
	return <div style={style}>
		{ slots.default &&  slots.default() }
	</div>
}
const Squre = (props: propsRule, { slots }: any) => {
	const { customStyle={},title } =  props
	const defaultStyle = {
		'background-color': "#fff",
		'border': '1px solid #E6E8F0',
		'border-radius': '6px',
		padding: '20px'
	}
	const style = {
		...defaultStyle,
		...customStyle
	}
	return <div style={style}>
		{
			slots.header ? slots.header() : title ? <p class="squre-title">{title}</p> : ''
		}
		{ slots.default &&  slots.default() }
	</div>
}
export default Squre
