import { createRouter, createWebHistory } from 'vue-router'
import { routerList } from './router'
const routes = [
    {
        path: '/login',
        name: 'login',
		component: () => import('../views/login/login.vue'),
    },
    {
        path: '/',
        name: 'Home',
        component: () => import('@/views/home/home.vue'),
		children: routerList
    },
    {
        path: '/notFound',
        name: 'notFound',
		component: () => import('../views/notFound/notFound.vue'),
    }
]
const router = createRouter({
	history: createWebHistory(import.meta.env.BASE_URL),
	routes
})
router.beforeEach((to,from,next)=>{
    if(to.path === '/') {
        next({ path: '/index' })
    }else{
        let index = routerList.findIndex(ite=>ite.path==to.path)
        if(index==-1 && to.path!='/notFound'){
            next({ path: '/notFound' })
        }else{
            next()
        }
    }
 
  
    // let token = ''
    // if (localStorage.getItem('userInfo')) {
    //     token = JSON.parse(localStorage.getItem('userInfo')).token
    // }
    // if (token) { 
    //     if(to.path === '/') {
    //         next({ path: '/index' })
    //     }else{
    //         let index = routerList.findIndex(ite=>ite.path==to.path)
    //         if(index==-1 && to.path!='/notFound'){
    //             next({ path: '/notFound' })
    //         }else{
    //             next()
    //         }
    //     }
    // } else {
    //     if (to.path !== '/login') {//跳转到登录页
    //         next({ path: '/login' });
    //     } else {
    //         next()
    //     }
    // }

   
})
export default router
